.body {
    visibility: hidden;
    font-family: Verdana, Arial, Helvetica, sans-serif;
    color: #364087;
    margin: 0;
    font-size: 3vh;
}

body.visible {
    visibility: visible;
}

.header {
    display: flex;
    justify-content: space-between;
}

.logo-container {
    display: flex;
    align-items: inline-block;
}

.logo {
    height: 12vh;
    cursor: pointer;
}

.desktop-nav {
    display: none;
}

.custom-button {
    display: block !important;
    padding: 1vh !important;
}

.accordion-button.collapsed .menu-icon::before {
    content: '☰'; 
}

.accordion-button .menu-icon::before {
    content: '✕'; 
}

.accordion-button::after {
    display: none;
}

.accordion-text {
    color: #364087;
    margin: 3vh 0 3vh 0;
}

.accordion-text:hover {
    cursor: pointer;
    text-decoration: underline;
}

.menu-icon {
    font-size: 5vh;
    padding: 1vh 7vh 1vh 7vh;
    text-align: center;
    margin: 0;
}

.message-section {
    width: 100%;
    background-color: #364087;
    color: white;
    text-align: center;
    padding: 8vh;
    font-size: 3vh;
}

.white-container {
    padding: 0 10% 0 10%;
    width: 100%;
    text-align: justify;
    text-align-last: right;
    font-size: 5vh;
}

.white-container-image {
    margin: 5% 10% 5% 0;
    width: 18vh;
}

.small-text {
    margin: 5% 0 0 0;
    font-size: 20px;
}

.blue-container {
    width: 100%;
    margin: 20% 0 20% 0;
    height: auto;
    display: flex;
    border: none;
    position: relative;
    align-items: center;
    justify-content: center;
}

.blue-container-content {
    display: block;
    padding: 10% 10% 20% 10%;
    width: 100%;
    z-index: 1;
    font-family: Verdana, Arial, Helvetica, sans-serif;
    font-size: 5vh;
    color: white;
    z-index: 10;
    position: relative;
}

.imagen-ola-azul {
    position: absolute;
    width: 100%;
    z-index: -10;
}

.blue-container-image {
    margin: 0 0 2% 10vw;
    width: 18vh;
}

.mobile-wave {
    width: 100%;
    min-width: 100%;
    height: auto;
    display: flex;
}

.desktop-wave {
    display: none;
}

.intermediate-wave {
    display: none;
}

.sponsors {
    padding-top: 2vh;
    background-color: #ebedfe;
    color: #363f87;
    position: relative;
    bottom: 0;
    justify-content: center;
    text-align: center;
    width: 100%;
}

.sponsor-logo {
    width: 20vh;
    margin: 5vh 4.5vw 3vh 4.5vw;
}

.pointer {
    cursor: pointer;
}

.line {
    width: 60%;
    border-top: 1px solid #363f87;
    margin: 5vh auto;
}

.footer {
    background-color: #d1d6fb;
    position: relative;
    bottom: 0;
    justify-content: center;
    text-align: center;
    display: flex;
    width: 100%;
    color: #363f87;
    padding: 3vh;
}

.footer-content {
    font-size: 2vh;
}

@media (min-width: 600px) {

    .mobile-wave {
        display: none;
    }

    .intermediate-wave {
        display: flex;
    }
    
    .desktop-wave {
        display: none;
    }
}

@media (min-width: 768px) {

    .menu-icon {
        margin-top: 3vh;
        font-size: 6vh;
    }

    .logo {
        height: 18vh;
        left: 0;
        margin-left: 2vh;
        padding: 1vh;
    }

    .message-section {
        padding: 5vh 20vh 5vh 20vh;
    }

    .blue-container {
        margin: 5% 0 5% 0;
    }

    .mobile-wave {
        display: none;
    }

    .intermediate-wave {
        display: none;
    }
    
    .desktop-wave {
        display: flex;
    }

    .rsa-logo {
        width: 15vh;
        margin: 2vh;
    }
 
    .footer-content {
        display: flex;
        justify-content: space-between;
        width: 100%;
        max-width: 800px;
    }
     
    .footer-content p {
        display: flex;
        flex-direction: column;
        align-items: center;
        flex: 1;
        margin: 0 20px;
    }
}

@media (min-width: 1530px) {
    .header {
        display: flex;
        justify-content: center;
        align-items: center;
        position: relative;
        height: 18vh;
        width: 100%;
    }

    .nav-button {
        display: none;
    }

    .logo {
        height: 18vh;
        position: absolute;
        left: 0;
        transform: translateY(-50%);
        margin-left: 2vh;
        padding: 1vh;
    }

    .desktop-nav {
        display: grid;
        justify-content: space-between;
        text-align: center;
    }

    .nav-content {
        margin: 0 4vh 0 4vh;
        color: #364087 !important;
        position: relative;
        text-decoration: none;
    }
      
    .nav-content::before {
        background: #ebedfe;
        content: "";
        inset: 0;
        position: absolute;
        transform: scaleX(0);
        transform-origin: right;
        transition: transform 0.5s ease-in-out;
        z-index: -1;
    }
      
    .nav-content:hover::before {
        transform: scaleX(1);
        transform-origin: left;
    }
}